Ticket #385 (reopened bug)

Opened 6 years ago

Last modified 6 years ago

ffado-mixer for the Focusrite Saffire PRO 24 has the names crossed for the analogue inputs

Reported by: wsl Assigned to: la-page-web-of-phil
Priority: major Milestone: FFADO 2.2
Component: ffado-mixer Version: FFADO 2.2.1
Keywords: Cc:
The device the bug applies to: Focusrite Saffire PRO 24

Description

The ffado-mixer for the Focusrite Saffire PRO 24 has the names crossed for the analogue inputs - this is best explained in the "Crossbar Router" view:

In the drop list(s) for the source selection in columns 1394/Out:XX and MIXER/In:XX...

- Alng/In:03 is in fact Input 1 of the Focusrite Saffire PRO 2

- Alng/In:04 is in fact Input 2 of the Focusrite Saffire PRO 2

- Alng/In:01 is in fact Input 3 of the Focusrite Saffire PRO 2

- Alng/In:02 is in fact Input 4 of the Focusrite Saffire PRO 2

Attachments

Crossbarsettings.png (65.0 kB) - added by wsl on 01/07/15 12:12:56.
Settings needed to route Saffire PRO 24 inputs to jackd d in the right order

Change History

01/06/15 14:51:43 changed by jwoithe

Phil: this is probably another question for you since I don't have any Saffire devices myself.

01/07/15 08:44:00 changed by la-page-web-of-phil

  • owner changed from arnonym to la-page-web-of-phil.
  • status changed from new to assigned.

What do you mean exactly by crossed ?

Alng/In:01 shoud be the input 1 of Pro 24 independently on how it is routed: it is easy to check: if it is routed to 1394/Out:01 (as can be done in ffado-mixer), for instance then, on the PC side you should hear the signal from input 1 using the corresponding firewire channel (1394/Out:01, so). Is it incorrect in your case, something surprising but possible, whereas no Pro 24 user has mentionned it) ?

Now, the settings in the router are what they are before modification; you can whatever play with it, just caution to avoid feedback; is it a new device ? Was there some attempts with older ffado version ? If so, it would be better to initialize the device, using set-default-router-config-dice-eap or via other OS.

Also, there were some modif in 2.2.1 with respect to 2.1.0; in other emails, I thought you were using 2.2.1 but you refer to 2.1.0 ?

(follow-up: ↓ 5 ) 01/07/15 12:11:17 changed by wsl

1) The ffado trac does not allow version 2.2.1 to be selected for the ticket! The actual version installed on my laptop from the KXStudio/Ubuntu repos is definetly 2.2.1.

2) By the simple expediant of applying a mono line signal to each Saffire PRO 24 input in turn and watching the peak meters in the Crossbar router, I (as have others) have determined that to obtain the signal from Saffire PRO 24 input 1 on to Signal 1 in Jackd / Catia / Patcahge et al you need to select Alng/In:03 in the Crossbar Router.

See Screen shot as attachement.

See also http://mcstrum.wordpress.com/2014/08/12/debian-7-focusrite-saffire-pro24-ffado-mixer/ (Paragraph 9 starting with "For some reason unknown to...)

It seems must users just live with the anomaly.

Apologies that I am not a programmer, but I do know something about signal routing..!

01/07/15 12:12:56 changed by wsl

  • attachment Crossbarsettings.png added.

Settings needed to route Saffire PRO 24 inputs to jackd d in the right order

(follow-up: ↓ 6 ) 01/07/15 13:02:11 changed by wsl

Just one final tip, the level indicators on the front panel of the Saffire PRO 24 do not show the outputs of the analogue input channels - the level indicators show the signal levels on 1394/Out:01, 1394/Out:02, 1394/Out:03 and 1394/Out:04. Just something to be aware off when configuring the Crossbar Router - but can be useful as you can monitor any signals you route through channels 1 to 4 of the firewaire connection.

(in reply to: ↑ 3 ) 01/07/15 14:17:30 changed by jwoithe

  • version changed from FFADO 2.1.0 to FFADO 2.2.1.

Replying to wsl:

1) The ffado trac does not allow version 2.2.1 to be selected for the ticket! The actual version installed on my laptop from the KXStudio/Ubuntu repos is definetly 2.2.1.

Thanks for pointing this oversight out. This is now fixed and I've taken the liberty of updating the version number associated with this ticket accordingly.

(in reply to: ↑ 4 ) 01/08/15 01:39:57 changed by la-page-web-of-phil

  • status changed from assigned to closed.
  • resolution set to invalid.
  • milestone changed from Indeterminant (awaiting volunteer) to FFADO 2.2.

Replying to wsl:

Just one final tip, the level indicators on the front panel of the Saffire PRO 24 do not show the outputs of the analogue input channels - the level indicators show the signal levels on 1394/Out:01, 1394/Out:02, 1394/Out:03 and 1394/Out:04. Just something to be aware off when configuring the Crossbar Router - but can be useful as you can monitor any signals you route through channels 1 to 4 of the firewaire connection.

This is well known for Pro 24 as for Pro 40 for instance: this is fully hardware dependent and can not be changed by our implementation of ffado. Is it an anomaly, you have to ask to Focusrite. For my own, I think you are essentially confusing between the channels themselves and the routing of these channels.

So definitively, there is no bug at all and I close the ticket.

01/08/15 01:54:21 changed by wsl

  • status changed from closed to reopened.
  • resolution deleted.

Please ignore comment 4, this was just background information, I justed want to show that I understand the internal workings of the Focusrite Saffire PRO 24.

The following is still true:

ffado-mixer recognizes the analog inputs 1/2 & 3/4 of the PRO 24 backwards.

- Alng/In:03 is in fact Input 1 of the Focusrite Saffire PRO 24

- Alng/In:04 is in fact Input 2 of the Focusrite Saffire PRO 24

- Alng/In:01 is in fact Input 3 of the Focusrite Saffire PRO 24

- Alng/In:02 is in fact Input 4 of the Focusrite Saffire PRO 24